Next: LSHIFT, Previous: LOGICAL, Up: Intrinsic Procedures

### 8.157 `LONG` — Convert to integer type

Description:
  Convert to a `KIND=4` integer type, which is the same size as a C `long` integer. This is equivalent to the standard `INT` intrinsic with an optional argument of `KIND=4`, and is only included for backwards compatibility.
Standard:
  GNU extension
Class:
  Elemental function
Syntax:
  `RESULT = LONG(A)`
Arguments:

  A | Shall be of type `INTEGER`, `REAL`, or `COMPLEX`.

Return value:
  The return value is a `INTEGER(4)` variable.
See also:
  INT, INT2, INT8